tests: remove unnecessary '^' from 'expr' regular expression

As Brandon noticed, a regular expression match given to 'expr' is already
anchored at the beginning.  Some versions of expr even complain about this.

Signed-off-by: Junio C Hamano <gitster@pobox.com>
diff --git a/t/t7005-editor.sh b/t/t7005-editor.sh
index 5257f4d..6355698 100755
--- a/t/t7005-editor.sh
+++ b/t/t7005-editor.sh
@@ -13,7 +13,7 @@
 
 '
 
-if ! expr "$vi" : '^[a-z]*$' >/dev/null
+if ! expr "$vi" : '[a-z]*$' >/dev/null
 then
 	vi=
 fi
diff --git a/t/t7006-pager.sh b/t/t7006-pager.sh
index 3bc7a2a..0f6b367 100755
--- a/t/t7006-pager.sh
+++ b/t/t7006-pager.sh
@@ -109,7 +109,7 @@
 # for the first color; the text "commit" comes later.
 colorful() {
 	read firstline <$1
-	! expr "$firstline" : "^[a-zA-Z]" >/dev/null
+	! expr "$firstline" : "[a-zA-Z]" >/dev/null
 }
 
 test_expect_success 'tests can detect color' '
@@ -167,7 +167,7 @@
 	test -n "$less"
 '
 
-if expr "$less" : '^[a-z][a-z]*$' >/dev/null && test_have_prereq TTY
+if expr "$less" : '[a-z][a-z]*$' >/dev/null && test_have_prereq TTY
 then
 	test_set_prereq SIMPLEPAGER
 fi